Skip to main content
POST
Veo 3.0 Text-to-Video
Generate high-quality video content from text descriptions using the Veo 3.0 video generation model. This API uses asynchronous processing and requires querying the final result via task_id.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

prompt
string
required
A text string describing the video you want to generate.
aspect_ratio
string
Specifies the aspect ratio of the generated video.Enum: 16:9, 9:16. Default: 16:9.
duration_seconds
integer
The length of the video file you want to generate (in seconds).Enum: 4, 6, 8. Default: 8.
enhance_prompt
boolean
Specifies whether to use Gemini to enhance your prompt.Default: true
generate_audio
boolean
Specifies whether to generate audio for the video.
negative_prompt
string
A text string describing content you want to prevent the model from generating.
person_generation
string
Safety setting that controls whether person or face generation is allowed.Enum:
  • allow_adult (default): Only allows generating adults
  • dont_allow: Does not allow including people or faces in the image
resolution
string
Resolution of the generated video.Enum: 720p (default) or 1080p
sample_count
integer
Number of videos to generate.Range: 1-4
seed
uint32
A number used to initialize the random generation process. Using the same seed, prompt, and other parameters produces the same output video, making the generation process deterministic.Range: 0-4,294,967,295

Response

task_id
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.